package org.ow2.orchestra.osgi;

import java.util.logging.Logger;

import org.osgi.framework.ServiceReference;
import org.osgi.service.log.LogService;
import org.ow2.orchestra.util.Misc;

public class LogServiceImpl implements LogService {
	private static Logger logger = Logger.getLogger(LogServiceImpl.class.getPackage().getName());

	public void log(final int level, final String message) {
		System.out.println("level -> " + message);
		LogServiceImpl.logger.log(new OSGiLevel(level), message);
	}

	public void log(final int level, final String message, final Throwable exception) {
		System.out.println("level -> " + message + Misc.LINE_SEPARATOR + Misc.getStackTraceFrom(exception));
		LogServiceImpl.logger.log(new OSGiLevel(level), message, exception);
	}

	public void log(final ServiceReference sr, final int level, String message) {
		message = " from " + sr.getBundle() + " message";
		System.out.println("level -> " + message);
		LogServiceImpl.logger.log(new OSGiLevel(level), message);
	}

	public void log(final ServiceReference sr, final int level, String message,
			final Throwable exception) {
		message = " from " + sr.getBundle() + " message" + Misc.LINE_SEPARATOR + Misc.getStackTraceFrom(exception);
		System.out.println("level -> " + message);
		LogServiceImpl.logger.log(new OSGiLevel(level), message);
	}
}
